package dmrgvisu;

import info.monitorenter.gui.chart.TracePoint2D;
import info.monitorenter.gui.chart.ITrace2D;
import info.monitorenter.gui.chart.io.ADataCollector;

public class DMRGEnergyCollector extends ADataCollector
{
	public DMRG dmrgRef;
	
	public DMRGEnergyCollector(ITrace2D trace, long latency)
	{
		super(trace, latency);
	}
	
	public SetDMRG(DMRG dmrgRef)
	{
		this.dmrgRef = dmrgRef;
	}
	
	public TracePoint2D collectData()
	{
		int []NewPoint = this.dmrgRef.GetNextEnergy();
		TracePoint2D Point = new TracePoint2D(NewPoint[0], NewPoint[1]);
		return Point;
	}
}
